Get Organization usage

Description

Get usage summary for the organization, including device counts, relay usage, and quota limits.

Request

GET /v1/organizations/:organizationId/usage

Response

Successful response contains the following JSON formated body:

{
  billingPlan: string,
  edgeDevices: number,
  edgeDeviceQuota: number,
  webrtcDevices: number,
  webrtcDeviceQuota: number,
  edgeRelayBytes: number,
  edgeRelayQuotaGB: number,
  webrtcRelayBytes: number,
  webrtcRelayQuotaGB: number,
  periodStart: string,
  periodEnd: string
}

Response Status codes:

  • 200 on success

Request headers

This request must have the following headers:

  • Authorization: bearer <ApiKey>

Example

Request

curl "https://api.cloud.nabto.com/v1/organizations/:organizationId/usage" \
  -H "Authorization: Bearer <ApiKey>"

Response

{
   "billingPlan": "<billingPlan>",
  "edgeDevices": 42,
  "edgeDeviceQuota": 42,
  "webrtcDevices": 42,
  "webrtcDeviceQuota": 42,
  "edgeRelayBytes": 42,
  "edgeRelayQuotaGB": 42,
  "webrtcRelayBytes": 42,
  "webrtcRelayQuotaGB": 42,
  "periodStart": "<periodStart>",
  "periodEnd": "<periodEnd>"
}